

namespace FileScopedTypes
{
    public class Person
    {
        public string FirstName { get; set; }=default!;
        public string LastName { get; set; } = default!;

        public int CalculateSalary()          
        {
            var newCal = new Calculator();
            return newCal.Calculate(this);
        }
    }
    file class Calculator
    {
        public int Calculate(Person person) { return 100; }
    }

}
